Bug 214736

Summary: editors/libreoffice: Segmentation fault (core dumped)
Product: Ports & Packages Reporter: Jochen Neumeister <joneum>
Component: Individual Port(s)Assignee: FreeBSD Office Team <office>
Status: Closed Overcome By Events    
Severity: Affects Only Me CC: joneum
Priority: --- Keywords: crash, needs-qa
Version: LatestFlags: bugzilla: maintainer-feedback? (office)
Hardware: Any   
OS: Any   

Description Jochen Neumeister freebsd_committer 2016-11-22 12:01:09 UTC
[LNK] CppunitTest/libtest_svtools_graphic.so
[LNK] CppunitTest/libtest_sw_docbookexport.so
[LNK] CppunitTest/libtest_sw_htmlexport.so
[LNK] CppunitTest/libtest_sw_htmlimport.so
Segmentation fault (core dumped)
OK (1)

No core file identified in directory /usr/ports/editors/libreoffice/work/libreoffice-5.2.3.3/workdir/CppunitTest/dbaccess_macros_test.test.core
To show backtraces for crashes during test execution,
enable core files with:
   
   ulimit -c unlimited


Error: a unit test failed, please do one of:
make CppunitTest_dbaccess_macros_test CPPUNITTRACE="gdb --args"
    # for interactive debugging on Linux
make CppunitTest_dbaccess_macros_test VALGRIND=memcheck
    # for memory checking
make CppunitTest_dbaccess_macros_test DEBUGCPPUNIT=TRUE
    # for exception catching

gmake[4]: *** [/usr/ports/editors/libreoffice/work/libreoffice-5.2.3.3/solenv/gbuild/CppunitTest.mk:99: /usr/ports/editors/libreoffice/work/libreoffice-5.2.3.3/workdir/CppunitTest/dbaccess_macros_test.test] Error 1
gmake[4]: *** Waiting for unfinished jobs....
gmake[4]: Leaving directory '/usr/ports/editors/libreoffice/work/libreoffice-5.2.3.3'
gmake[3]: *** [Makefile:258: build] Error 2
gmake[3]: Leaving directory '/usr/ports/editors/libreoffice/work/libreoffice-5.2.3.3'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/editors/libreoffice
*** Error code 1
Comment 1 Jochen Neumeister freebsd_committer 2016-11-22 12:02:35 UTC
 uname -a
FreeBSD xxxxxx 11.0-RELEASE-p2 FreeBSD 11.0-RELEASE-p2 #0: Mon Oct 24 06:55:27 UTC 2016     root@amd64-builder.daemonology.net:/usr/obj/usr/src/sys/GENERIC  amd64
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-11-23 02:58:52 UTC
@Jochen Which target/stage is the crash within? build, test or something else?
Comment 3 Jochen Neumeister freebsd_committer 2016-11-23 05:35:35 UTC
(In reply to Kubilay Kocak from comment #2)

It was at "make install clean", before "portsnap fetch update"
Comment 4 Jochen Neumeister freebsd_committer 2016-12-07 12:00:45 UTC
ping office@
Comment 5 Jochen Neumeister freebsd_committer 2016-12-18 09:05:34 UTC
ping office@
Comment 6 Jochen Neumeister freebsd_committer 2017-03-13 23:25:15 UTC
ping office@
Comment 7 Jan Beich freebsd_committer 2017-03-14 05:01:18 UTC
Not enough details unless you can provide the crash stacktrace and/or steps to reproduce it in a clean environment. Maybe try looking at closed bugs (e.g. bug 216446 or upstream) for some debugging tips.